Bug 999383 - Review Request: ncbi-blast+ - NCBI BLAST+ finds regions of similarity between biological sequences
Review Request: ncbi-blast+ - NCBI BLAST+ finds regions of similarity between...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 04:59 EDT by Jan Kaluža
Modified: 2013-09-10 22:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: ncbi-blast+-2.2.28-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 21:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jskarvad: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Kaluža 2013-08-21 04:59:27 EDT
Spec URL: http://jkaluza.fedorapeople.org/ncbi-blast+.spec
SRPM URL: http://jkaluza.fedorapeople.org/ncbi-blast+-2.2.28-1.fc19.src.rpm
Description: The NCBI Basic Local Alignment Search Tool (BLAST) finds regions of
local similarity between sequences. The program compares nucleotide or
protein sequences to sequence databases and calculates the statistical
significance of matches. BLAST can be used to infer functional and
evolutionary relationships between sequences as well as help identify
members of gene families.
Fedora Account System Username: jkaluza
Comment 1 Jan Kaluža 2013-08-21 05:01:48 EDT
rpmlint output:

[hanzz@localhost results]$ rpmlint *.rpm
ncbi-blast+.src: W: spelling-error %description -l en_US nucleotide -> nucleation
ncbi-blast+.src:47: W: configure-without-libdir-spec
ncbi-blast+.x86_64: W: spelling-error %description -l en_US nucleotide -> nucleation
ncbi-blast+.x86_64: W: no-manual-page-for-binary psiblast
ncbi-blast+.x86_64: W: no-manual-page-for-binary dustmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary update_blastdb.pl
ncbi-blast+.x86_64: W: no-manual-page-for-binary convert2blastmask
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdb_aliastool
ncbi-blast+.x86_64: W: no-manual-page-for-binary legacy_blast.pl
ncbi-blast+.x86_64: W: no-manual-page-for-binary makeblastdb
ncbi-blast+.x86_64: W: no-manual-page-for-binary makembindex
ncbi-blast+.x86_64: W: no-manual-page-for-binary blast_formatter
ncbi-blast+.x86_64: W: no-manual-page-for-binary windowmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary tblastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdbcheck
ncbi-blast+.x86_64: W: no-manual-page-for-binary tblastx
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastx
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdbcmd
ncbi-blast+.x86_64: W: no-manual-page-for-binary segmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastp
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary makeprofiledb
ncbi-blast+.x86_64: W: no-manual-page-for-binary rpsblast
ncbi-blast+.x86_64: W: no-manual-page-for-binary rpstblastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary deltablast
3 packages and 0 specfiles checked; 0 errors, 25 warnings.

There are no manpages for those binaries provided by upstream.

> ncbi-blast+.src:47: W: configure-without-libdir-spec

This is expected, see the comment in specfile for more info.
Comment 2 Jan Kaluža 2013-08-21 05:03:58 EDT
To do quick test of the package, you can run following:

echo GCTACGTGGACGACACGCAGTTCGTGCGGTTCGACAGCGACGCCGCGAGCCAAAGGATGGAGCCGCGGGCGCCGTGGGTGGAGCAGGAGGGTCCGGAGTATTGGGACCGGGAGACACGGAACATGAAGACCGAGACACAGAATGCCCCAGTGAACCTGCGGACCCTGCTCCGCTACTACAACCAGAGCGA > x

echo TCGCTCTGGTTGTAGTAGCGGAGCAGGGTCCGCAGGTTCACTGGGGCATTCTGTGTCTCGGTCTTCATGTTCCGTGTCTCCCGGTCCCAATACTCCGGACCCTCCTGCTCCACCCACGGCGCCCGCGGCTCCATCCTTTGGCTCGCGGCGTCGCTGTCGAACCGCACGAACTGCGTGTCGTCCACGTAGC > y

blastn -query x -subject y
Comment 3 Susi Lehtola 2013-08-22 17:30:15 EDT
# Remove executable mode from header files
find c++ -type f -name *.h -exec chmod -x {} \;
find c++ -type f -name *.hpp -exec chmod -x {} \;
find c++ -type f -name *.cpp -exec chmod -x {} \;

This should be done in %prep.

**

Jaroslav: if you are reviewing, please set the fedora_review flag to ? and assign the bug to yourself.
Comment 4 Jan Kaluža 2013-08-23 00:50:30 EDT
Fixed. I think that if you want to review the package, you can freely take it.
Comment 5 Jaroslav Škarvada 2013-08-23 08:21:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
Not applicable, java is not packaged.

- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
Not applicable, java is not packaged.

- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
Not applicable, java is not packaged.

- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'
It is not packed, but I would prefer to rm it in the %prep.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.

- The sources bundle zlib, bzip2, it seems they are not used, but
  I would rm them in the %prep.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.

- The non permissible content is not packaged, but I would prefer
  to run 'rm' on it in the %prep, to be sure it cannot be accidentaly
  packaged later.

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "MIT/X11 (BSD like)", "BSL (v1.0)", "LGPL (v2 or
     later) (with incorrect FSF address)", "zlib/libpng", "*No copyright* BSD
     (3 clause)", "BSD (3 clause)". 2543 files have unknown license. Detailed
     output of licensecheck in /home/yarda/git-fedora/ncbi-blast/review-ncbi-
     blast+/licensecheck.txt

- It seems the packaged content is under correct licenses. I would recommend to
  remove the other content in %prep to be sure we do not ship the content
  with different licenses.

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Fully versioned dependency in subpackages, if present.

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

Perl:
[-]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

- It is not perl module, thus it's probably OK.

===== SHOULD items =====

Generic:
[-]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Jaroslav Škarvada <jskarvad@redhat.com>
Long standing fedora-review bug :), already reported.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

- See attachment.

[x]: Package functions as described.

- I only tried a simple check from comment 2.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

- Checked x86_64, i686, armv7hl.

[!]: %check is present and all tests pass.

- You should run the make check.

[!]: Packages should try to preserve timestamps of original installed files.

- You should use install -p.

[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[-]: Packages are noarch unless they use JNI
     Note: ncbi-blast+ subpackage is not noarch. Please verify manually
[-]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ncbi-blast+-2.2.28-1.fc18.x86_64.rpm
ncbi-blast+.x86_64: W: spelling-error %description -l en_US nucleotide -> nucleation
ncbi-blast+.x86_64: W: no-manual-page-for-binary psiblast
ncbi-blast+.x86_64: W: no-manual-page-for-binary dustmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary update_blastdb.pl
ncbi-blast+.x86_64: W: no-manual-page-for-binary convert2blastmask
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdb_aliastool
ncbi-blast+.x86_64: W: no-manual-page-for-binary legacy_blast.pl
ncbi-blast+.x86_64: W: no-manual-page-for-binary makeblastdb
ncbi-blast+.x86_64: W: no-manual-page-for-binary makembindex
ncbi-blast+.x86_64: W: no-manual-page-for-binary blast_formatter
ncbi-blast+.x86_64: W: no-manual-page-for-binary windowmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary tblastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdbcheck
ncbi-blast+.x86_64: W: no-manual-page-for-binary tblastx
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastx
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdbcmd
ncbi-blast+.x86_64: W: no-manual-page-for-binary segmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastp
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary makeprofiledb
ncbi-blast+.x86_64: W: no-manual-page-for-binary rpsblast
ncbi-blast+.x86_64: W: no-manual-page-for-binary rpstblastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary deltablast
1 packages and 0 specfiles checked; 0 errors, 23 warnings.

- OK, no manual pages exist.

Rpmlint (installed packages)
----------------------------
# rpmlint ncbi-blast+
ncbi-blast+.x86_64: W: spelling-error %description -l en_US nucleotide -> nucleoli
ncbi-blast+.x86_64: W: no-manual-page-for-binary psiblast
ncbi-blast+.x86_64: W: no-manual-page-for-binary dustmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary update_blastdb.pl
ncbi-blast+.x86_64: W: no-manual-page-for-binary convert2blastmask
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdb_aliastool
ncbi-blast+.x86_64: W: no-manual-page-for-binary legacy_blast.pl
ncbi-blast+.x86_64: W: no-manual-page-for-binary makeblastdb
ncbi-blast+.x86_64: W: no-manual-page-for-binary makembindex
ncbi-blast+.x86_64: W: no-manual-page-for-binary blast_formatter
ncbi-blast+.x86_64: W: no-manual-page-for-binary windowmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary tblastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdbcheck
ncbi-blast+.x86_64: W: no-manual-page-for-binary tblastx
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastx
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastdbcmd
ncbi-blast+.x86_64: W: no-manual-page-for-binary segmasker
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastp
ncbi-blast+.x86_64: W: no-manual-page-for-binary blastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary makeprofiledb
ncbi-blast+.x86_64: W: no-manual-page-for-binary rpsblast
ncbi-blast+.x86_64: W: no-manual-page-for-binary rpstblastn
ncbi-blast+.x86_64: W: no-manual-page-for-binary deltablast
1 packages and 0 specfiles checked; 0 errors, 23 warnings.
# echo 'rpmlint-done:'

- OK, no manual pages exist.


Jar and class files in source
-----------------------------
./ncbi-blast-2.2.28+-src/c++/src/build-system/project_tree_builder_gui/bin/lib/swing-layout-1.0.4.jar
./ncbi-blast-2.2.28+-src/c++/src/build-system/project_tree_builder_gui/bin/lib/swing-layout-1.0.3.jar
./ncbi-blast-2.2.28+-src/c++/src/build-system/project_tree_builder_gui/bin/ptbgui.jar

- They are not packaged, but I would prefer to rm it in the %prep.


Requires
--------
ncbi-blast+ (rpmlib, GLIBC filtered):
    /usr/bin/perl
    ld-linux-x86-64.so.2()(64bit)
    libalign_format.so()(64bit)
    libbiblio.so()(64bit)
    libblast.so()(64bit)
    libblast_services.so()(64bit)
    libblastdb.so()(64bit)
    libblastdb_format.so()(64bit)
    libblastinput.so()(64bit)
    libblastxml.so()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libcomposition_adjustment.so()(64bit)
    libcreaders.so()(64bit)
    libdl.so.2()(64bit)
    libentrez2.so()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgene_info.so()(64bit)
    libgeneral.so()(64bit)
    libgenome_collection.so()(64bit)
    libid1.so()(64bit)
    libid2.so()(64bit)
    libm.so.6()(64bit)
    libmedline.so()(64bit)
    libncbi_xloader_blastdb.so()(64bit)
    libncbi_xloader_blastdb_rmt.so()(64bit)
    libncbi_xloader_genbank.so()(64bit)
    libncbi_xreader.so()(64bit)
    libncbi_xreader_cache.so()(64bit)
    libncbi_xreader_id1.so()(64bit)
    libncbi_xreader_id2.so()(64bit)
    libnsl.so.1()(64bit)
    libpcre.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpub.so()(64bit)
    librt.so.1()(64bit)
    libscoremat.so()(64bit)
    libseq.so()(64bit)
    libseqcode.so()(64bit)
    libseqdb.so()(64bit)
    libseqedit.so()(64bit)
    libseqmasks_io.so()(64bit)
    libseqset.so()(64bit)
    libseqsplit.so()(64bit)
    libsequtil.so()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libtables.so()(64bit)
    libtaxon1.so()(64bit)
    libvariation.so()(64bit)
    libwritedb.so()(64bit)
    libxalgoblastdbindex.so()(64bit)
    libxalgodustmask.so()(64bit)
    libxalgosegmask.so()(64bit)
    libxalgowinmask.so()(64bit)
    libxalnmgr.so()(64bit)
    libxblast.so()(64bit)
    libxblastformat.so()(64bit)
    libxcgi.so()(64bit)
    libxcompress.so()(64bit)
    libxconnect.so()(64bit)
    libxconnext.so()(64bit)
    libxhtml.so()(64bit)
    libxncbi.so()(64bit)
    libxnetblast.so()(64bit)
    libxnetblastcli.so()(64bit)
    libxobjmgr.so()(64bit)
    libxobjread.so()(64bit)
    libxobjsimple.so()(64bit)
    libxobjutil.so()(64bit)
    libxser.so()(64bit)
    libxutil.so()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    perl(Archive::Tar)
    perl(Digest::MD5)
    perl(File::Temp)
    perl(File::stat)
    perl(Getopt::Long)
    perl(Net::FTP)
    perl(Pod::Usage)
    perl(constant)
    perl(strict)
    perl(warnings)
    rtld(GNU_HASH)



Provides
--------
ncbi-blast+:
    libalign_format.so()(64bit)
    libbiblio.so()(64bit)
    libblast.so()(64bit)
    libblast_services.so()(64bit)
    libblastdb.so()(64bit)
    libblastdb_format.so()(64bit)
    libblastinput.so()(64bit)
    libblastxml.so()(64bit)
    libcomposition_adjustment.so()(64bit)
    libcreaders.so()(64bit)
    libentrez2.so()(64bit)
    libentrez2cli.so()(64bit)
    libgene_info.so()(64bit)
    libgeneral.so()(64bit)
    libgenome_collection.so()(64bit)
    libid1.so()(64bit)
    libid2.so()(64bit)
    libid2_split.so()(64bit)
    libigblast.so()(64bit)
    libmedline.so()(64bit)
    libncbi_xloader_blastdb.so()(64bit)
    libncbi_xloader_blastdb_rmt.so()(64bit)
    libncbi_xloader_genbank.so()(64bit)
    libncbi_xreader.so()(64bit)
    libncbi_xreader_cache.so()(64bit)
    libncbi_xreader_id1.so()(64bit)
    libncbi_xreader_id2.so()(64bit)
    libpub.so()(64bit)
    libscoremat.so()(64bit)
    libseq.so()(64bit)
    libseqcode.so()(64bit)
    libseqdb.so()(64bit)
    libseqedit.so()(64bit)
    libseqmasks_io.so()(64bit)
    libseqset.so()(64bit)
    libseqsplit.so()(64bit)
    libsequtil.so()(64bit)
    libsubmit.so()(64bit)
    libtables.so()(64bit)
    libtaxon1.so()(64bit)
    libtest_boost.so()(64bit)
    libtest_mt.so()(64bit)
    libvariation.so()(64bit)
    libwritedb.so()(64bit)
    libxalgoblastdbindex.so()(64bit)
    libxalgodustmask.so()(64bit)
    libxalgosegmask.so()(64bit)
    libxalgowinmask.so()(64bit)
    libxalnmgr.so()(64bit)
    libxblast.so()(64bit)
    libxblastformat.so()(64bit)
    libxcgi.so()(64bit)
    libxcompress.so()(64bit)
    libxconnect.so()(64bit)
    libxconnext.so()(64bit)
    libxhtml.so()(64bit)
    libxncbi.so()(64bit)
    libxnetblast.so()(64bit)
    libxnetblastcli.so()(64bit)
    libxobjmgr.so()(64bit)
    libxobjread.so()(64bit)
    libxobjsimple.so()(64bit)
    libxobjutil.so()(64bit)
    libxregexp.so()(64bit)
    libxser.so()(64bit)
    libxutil.so()(64bit)
    ncbi-blast+
    ncbi-blast+(x86-64)

- I think the private libs shouldn't be provided / required
  https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

  If they are not private, they should be versioned and known to the linker
  (i.e. ld config file needs to be shipped and the ldconfig called in post*)

Unversioned so-files
--------------------
ncbi-blast+: /usr/lib64/ncbi-blast+/libalign_format.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libbiblio.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libblast.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libblast_services.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libblastdb.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libblastdb_format.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libblastinput.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libblastxml.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libcomposition_adjustment.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libcreaders.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libentrez2.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libentrez2cli.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libgene_info.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libgeneral.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libgenome_collection.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libid1.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libid2.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libid2_split.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libigblast.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libmedline.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libncbi_xloader_blastdb.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libncbi_xloader_blastdb_rmt.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libncbi_xloader_genbank.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libncbi_xreader.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libncbi_xreader_cache.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libncbi_xreader_id1.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libncbi_xreader_id2.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libpub.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libscoremat.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libseq.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libseqcode.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libseqdb.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libseqedit.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libseqmasks_io.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libseqset.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libseqsplit.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libsequtil.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libsubmit.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libtables.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libtaxon1.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libtest_boost.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libtest_mt.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libvariation.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libwritedb.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxalgoblastdbindex.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxalgodustmask.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxalgosegmask.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxalgowinmask.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxalnmgr.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxblast.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxblastformat.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxcgi.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxcompress.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxconnect.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxconnext.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxhtml.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxncbi.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxnetblast.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxnetblastcli.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxobjmgr.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxobjread.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxobjsimple.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxobjutil.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxregexp.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxser.so
ncbi-blast+: /usr/lib64/ncbi-blast+/libxutil.so

- Probably OK, internally used, not intended for external use.

Source checksums
----------------
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/LATEST/ncbi-blast-2.2.28+-src.tar.gz :
  CHECKSUM(SHA256) this package     : 8f0610251d61973e720276029a26da8baedec474ca12016bde11483491631f60
  CHECKSUM(SHA256) upstream package : 8f0610251d61973e720276029a26da8baedec474ca12016bde11483491631f60


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -n ncbi-blast+


To sum:
- I would remove the unused / bundled content in the %prep.
- You should run the make check.
- You should use install -p.
- Private libs shouldn't be provided / required or do not ship them as private.
Comment 6 Jan Kaluža 2013-08-27 04:52:38 EDT
I think I have fixed everything except "make check".

The problem here is that it runs out-dated queries against the online database at <blast.ncbi.nlm.nih.gov/Blast.cgi>. The database gets updated faster then the releases happen which is causing some tests to fail. Debian maintainer has the tests commented out too because of this.

Spec URL: http://jkaluza.fedorapeople.org/ncbi-blast+.spec
SRPM URL: http://jkaluza.fedorapeople.org/ncbi-blast+-2.2.28-1.fc19.src.rpm
Comment 7 Jaroslav Škarvada 2013-08-27 10:50:08 EDT
OK, thanks, giving fedora-review+.
Comment 8 Jan Kaluža 2013-08-28 01:52:01 EDT
New Package SCM Request
=======================
Package Name: ncbi-blast+
Short Description: NCBI BLAST+ finds regions of similarity between biological sequences
Owners: jkaluza
Branches: f18 f19 f20
InitialCC:
Comment 9 Gwyn Ciesla 2013-08-28 07:58:50 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-08-29 02:37:51 EDT
ncbi-blast+-2.2.28-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ncbi-blast+-2.2.28-1.fc19
Comment 11 Fedora Update System 2013-08-29 02:41:21 EDT
ncbi-blast+-2.2.28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ncbi-blast+-2.2.28-1.fc18
Comment 12 Fedora Update System 2013-08-29 18:22:43 EDT
ncbi-blast+-2.2.28-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2013-09-10 21:49:56 EDT
ncbi-blast+-2.2.28-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2013-09-10 22:04:18 EDT
ncbi-blast+-2.2.28-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.